# Method Tools.X509.dsa_sign_key()

Method dsa_sign_key

  ``__deprecated__` `string` dsa_sign_key(`Sequence` `issuer`, `Crypto.DSA` `dsa`, `Sequence` `subject`, `string` `public_key`, `int` `serial`, `int` `ttl`, `array`|`void` `extensions`)`

Parameter `issuer`

  Distinguished name for the issuer.

Parameter `rsa`

  RSA parameters for the issuer.

Parameter `subject`

  Distinguished name for the subject.

Parameter `public_key`

  DER-encoded integer. See Standards.PKCS.DSA.public_key().

Parameter `serial`

  Serial number for this key and issuer.

Parameter `ttl`

  Validity time in seconds for this signature to be valid.

Parameter `extensions`

  Set of extensions.

Returns

  Returns a DER-encoded certificate.